Bug 1419866 - [abrt] evince: window_open_file_copy_progress_cb(): evince killed by SIGSEGV
Summary: [abrt] evince: window_open_file_copy_progress_cb(): evince killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: evince
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Marek Kašík
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ad521f55d09b23d37fc14d00fbb...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-07 09:43 UTC by Han Han
Modified: 2018-05-29 12:40 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:40:01 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (24.12 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: cgroup (229 bytes, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: core_backtrace (2.61 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: dso_list (8.55 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: environ (1.30 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: maps (47.40 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: mountinfo (3.70 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: namespaces (102 bytes, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: open_fds (2.70 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: proc_pid_status (1.26 KB, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details
File: var_log_messages (296 bytes, text/plain)
2017-02-07 09:44 UTC, Han Han
no flags Details

Description Han Han 2017-02-07 09:43:59 UTC
Description of problem:


Version-Release number of selected component:
evince-3.22.1-5.fc26

Additional info:
reporter:       libreport-2.9.0
backtrace_rating: 4
cmdline:        evince /run/user/1000/gvfs/google-drive:host=redhat.com,user=hhan/0B2XP3rPZrWbnN1NSVEFqR3RleGs
crash_function: window_open_file_copy_progress_cb
executable:     /usr/bin/evince
global_pid:     12265
kernel:         4.10.0-0.rc4.git2.1.fc26.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (4 frames)
 #0 window_open_file_copy_progress_cb at ev-window.c:2029
 #1 copy_async_progress_in_main at gfile.c:6241
 #6 g_main_context_iteration at gmain.c:3990
 #7 g_application_run at gapplication.c:2405

Potential duplicate: bug 1418810

Comment 1 Han Han 2017-02-07 09:44:07 UTC
Created attachment 1248333 [details]
File: backtrace

Comment 2 Han Han 2017-02-07 09:44:09 UTC
Created attachment 1248334 [details]
File: cgroup

Comment 3 Han Han 2017-02-07 09:44:11 UTC
Created attachment 1248335 [details]
File: core_backtrace

Comment 4 Han Han 2017-02-07 09:44:13 UTC
Created attachment 1248336 [details]
File: dso_list

Comment 5 Han Han 2017-02-07 09:44:14 UTC
Created attachment 1248337 [details]
File: environ

Comment 6 Han Han 2017-02-07 09:44:16 UTC
Created attachment 1248338 [details]
File: exploitable

Comment 7 Han Han 2017-02-07 09:44:17 UTC
Created attachment 1248339 [details]
File: limits

Comment 8 Han Han 2017-02-07 09:44:20 UTC
Created attachment 1248340 [details]
File: maps

Comment 9 Han Han 2017-02-07 09:44:22 UTC
Created attachment 1248341 [details]
File: mountinfo

Comment 10 Han Han 2017-02-07 09:44:23 UTC
Created attachment 1248342 [details]
File: namespaces

Comment 11 Han Han 2017-02-07 09:44:25 UTC
Created attachment 1248343 [details]
File: open_fds

Comment 12 Han Han 2017-02-07 09:44:27 UTC
Created attachment 1248344 [details]
File: proc_pid_status

Comment 13 Han Han 2017-02-07 09:44:29 UTC
Created attachment 1248345 [details]
File: var_log_messages

Comment 14 Han Han 2017-02-07 10:20:45 UTC
Reproduce steps:
1. Add google accounts in 'Gnome Online Accounts' and enable 'Use for files'. Then there will be your google drive locations in your gnome file browser.
2. Upload an big pdf file to google drive.
3. Open the pdf file in gnome file browser. Click the close button in pop-up window when loading the file, then close evince. It will reproduce the bug.

The full backtrace:
(gdb) bt full
#0  0x000055582de947b4 in window_open_file_copy_progress_cb (n_bytes=2965504, total_bytes=20599339, ev_window=0x55582fec01d0) at ev-window.c:2029
#1  0x00007f1dd6e696e6 in copy_async_progress_in_main (user_data=user_data@entry=0x7f1da8004a70) at gfile.c:6241
        progress = 0x7f1da8004a70
        data = <optimized out>
#2  0x00007f1dd69019c7 in g_idle_dispatch (source=0x7f1da8002c30, callback=0x7f1dd6e696d0 <copy_async_progress_in_main>, user_data=0x7f1da8004a70) at gmain.c:5545
        again = <optimized out>
#3  0x00007f1dd6904f22 in g_main_dispatch (context=0x55582fe978c0) at gmain.c:3203
        dispatch = 0x7f1dd69019b0 <g_idle_dispatch>
        prev_source = 0x0
        was_in_call = 0
        user_data = 0x7f1da8004a70
        callback = 0x7f1dd6e696d0 <copy_async_progress_in_main>
        cb_funcs = 0x7f1dd6bcd280 <g_source_callback_funcs>
        cb_data = 0x7f1da80010c0
        need_destroy = <optimized out>
        source = 0x7f1da8002c30
        current = 0x55582ff05e00
        i = 1
#4  0x00007f1dd6904f22 in g_main_context_dispatch (context=context@entry=0x55582fe978c0) at gmain.c:3856
#5  0x00007f1dd69052a0 in g_main_context_iterate (context=context@entry=0x55582fe978c0, block=block@entry=0, dispatch=dispatch@entry=1, self=<optimized out>) at gmain.c:3929
        max_priority = 0
        timeout = 0
        some_ready = 1
        nfds = 3
        allocated_nfds = 3
        fds = <optimized out>
#6  0x00007f1dd690534c in g_main_context_iteration (context=context@entry=0x55582fe978c0, may_block=may_block@entry=0) at gmain.c:3990
        retval = <optimized out>
#7  0x00007f1dd6ec5690 in g_application_run (application=0x55582ff7b260 [EvApplication], argc=<optimized out>, argv=0x0) at gapplication.c:2405
        arguments = 0x55582ff8ff40
        status = 0
        context = 0x55582fe978c0
        acquired_context = <optimized out>
        __func__ = "g_application_run"
#8  0x000055582de7fadb in main (argc=<optimized out>, argv=<optimized out>) at main.c:316
        application = 0x55582ff7b260 [EvApplication]
        context = <optimized out>
        error = 0x0
        status = <optimized out>

Comment 15 Fedora End Of Life 2017-02-28 11:12:15 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 16 Fedora End Of Life 2018-05-03 08:04:24 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2018-05-29 12:40:01 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.